#ifndef _gkrect_h
#define _gkrect_h

namespace PixelKit
{
	template <class Type> class Rect
	{
	public:
		Type x;
		Type y;
		Type w;
		Type h;
	
		Rect(){
			this->x = 0;
			this->y = 0;
			this->w = 0;
			this->h = 0;
		};
		Rect(Type x, Type y, Type w, Type h)
		{
			this->x = x;
			this->y = y;
			this->w = w;
			this->h = h;
		};
	};
}

#endif